# Interface methods for submodule: ReinitializeLevelSetImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: ReinitializeLevelSetImageFilter
class ReinitializeLevelSetImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetLevelSetValue(self, _arg: float) -> None:
		""""""
		...

	def GetLevelSetValue(self) -> float:
		""""""
		...

	def SetNarrowBanding(self, _arg: bool) -> None:
		""""""
		...

	def GetNarrowBanding(self) -> bool:
		""""""
		...

	def NarrowBandingOn(self) -> None:
		""""""
		...

	def NarrowBandingOff(self) -> None:
		""""""
		...

	def SetInputNarrowBandwidth(self, _arg: float) -> None:
		""""""
		...

	def GetInputNarrowBandwidth(self) -> float:
		""""""
		...

	def SetOutputNarrowBandwidth(self, _arg: float) -> None:
		""""""
		...

	def GetOutputNarrowBandwidth(self) -> float:
		""""""
		...

	def SetNarrowBandwidth(self, value: float) -> None:
		""""""
		...

	def SetInputNarrowBand(self, ptr) -> None:
		""""""
		...

	def GetInputNarrowBand(self):
		""""""
		...

	def GetOutputNarrowBand(self):
		""""""
		...

